Authentication Implementations

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

endpoint_ids

endpoint_ids.*

integer

Authorizations
Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

Body
endpoint_idsstringRequired
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/authentication-implementations/{authentication_implementation}/endpoints

Destroy

delete

Delete a endpoint.

Authorizations
Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

endpointstringRequired

The endpoint identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/authentication-implementations/{authentication_implementation}/endpoints/{endpoint}

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • label

  • key

  • value

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • label

  • key

  • value

Authorizations
Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

Query parameters
filter[label]stringOptional

Filter results by label.

filter[key]stringOptional

Filter results by key.

filter[value]stringOptional

Filter results by value.

sortstringOptional

Sort field. Prefix with - for descending. Available: label, key, value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/authentication-implementations/{authentication_implementation}/variables

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

label

string

key

string

value

string

secret

pivot.alias

string

pivot.configurable

pivot.required

pivot.advanced

Authorizations
Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

Body
labelstringRequired
keystringRequired
valuestringOptional
secretstringOptional
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/authentication-implementations/{authentication_implementation}/variables

Destroy

delete

Delete a variable.

Authorizations
Path parameters
authentication_implementationstringRequired

The authentication implementation identifier.

variablestringRequired

The variable identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/authentication-implementations/{authentication_implementation}/variables/{variable}

Last updated

Was this helpful?